# $Revision: 1.22 $, $Date: 2002/09/10 19:49:28 $
Summary:	GTKstereograph, an advanced stereogram generator
Summary(pl):	GTKstereograph, zaawansowany generator stereogramw
Name:		GTKstereograph
Version:	0.17a
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.sourceforge.net/stereograph/%{name}-%{version}.tar.gz
Patch0:		%{name}-am_lt.patch
URL:		http://stereograph.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libpng >= 1.0.8
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
GTKstereograph is a graphical user interface for the current
stereograph renderer. Stereograph is a stereogram generator. In detail
it is a single image stereogram (SIS) generator. That's a program that
produces twodimensional images that seem to be threedimensional
(surely you know the famous works of "The Magic Eye", Stereograph
produces the same output). You do _not_ need any pair of colored
spectacles to regard them - everyone can learn it.

Authors:
- -------- Fabian Januszewski <fabian.linux@januszewski.de>

%description -l pl
GTKstereograph jest graficznym interfejsem uytkownika do aktualnego
generatora stereogramw. Stereograph jest generatorem stereogramw.
Dokadniej jest to generator pojedynczych obrazw stereogramowych (SIS).
Program ten produkuje dwuwymiarowe obrazy, ktre wydaj si by
trjwymiarowe (surely you know the famous works of "The Magic Eye",
Stereograph produces the same output). NIE potrzebujesz wcale pary
rnokolorowych okularw, aby to zobaczy - (prawie) kady moe si
tego nauczy.

Autorzy:
- -------- Fabian Januszewski <fabian.linux@januszewski.de>

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/GTKstereograph

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: GTKstereograph.spec,v $
Revision 1.22  2002/09/10 19:49:28  kloczek
- release 2.

Revision 1.21  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.20  2002/05/25 20:15:33  kloczek
- use new %doc infrastructure.

Revision 1.19  2002/05/21 23:12:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.17  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/07 09:28:58  kloczek
- updated to 0.17a (long time not updated package),
- updated Source url and URL.

Revision 1.14  2001/11/19 23:10:26  fvk
- small pl fixes

Revision 1.13  2001/09/26 08:51:40  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.12  2001/08/25 11:52:02  filon
- added patch %{name}-am_lt.patch to use libtool
- added ac/am/lt, spec ac 2.5 ready

Revision 1.11  2001/07/18 03:20:02  kloczek
- spec adapterized.

Revision 1.10  2001/03/18 23:06:47  blues
- few more translations
- some clean-ups in groups file

Revision 1.9  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.8  2000/07/30 04:56:59  kloczek
- spec adapterized.

Revision 1.7  2000/07/28 13:56:20  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.6  2000/06/21 20:30:17  kloczek
- updated to 0.15a.

Revision 1.5  2000/06/10 10:26:14  kloczek
- updated to 0.14a.

Revision 1.4  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/30 03:47:35  kloczek
- completly rewrited in PLD style.
